# Role : docker_keycloak


## Services fournis

Installation de keycloak sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_keycloak_fqdn: auth.libretic.fr
docker_keycloak_data_dir: /data1
docker_keycloak_service_id: auth
docker_keycloak_db_name: keycloak
docker_keycloak_db_user: keycloakdbuser
docker_keycloak_db_password: mdp_de_keycloakdbuser
```

| Option                         | Valeur par défaut | Description                                                                               |
|--------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_keycloak_fqdn           |                   | Le nom de domaine pour lequel le service keycloak répond                                  |
| docker_keycloak_data_dir       |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_keycloak_service_id     |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_keycloak_db_name        |                   | Nom de la base de données postgres pour keycloak                                          |
| docker_keycloak_db_user        |                   | Nom du user postgres propriétaire de la base de données                                   |
| docker_keycloak_db_password    |                   | Mot du passe du user postgres                                                             |



## Poursuite de l'installation dans keycloak

Après le premier lancement :
- créer le compte administrateur
